/***************************************************************************
                          configdialogimp.cpp  -  description
                             -------------------
    begin                : Thu Jan 3 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "configdialogimp.h"
#include "logviewdialogimp.h"
//Added by qt3to4:
#include <QPixmap>
#include <iostream>

using namespace std;

ConfigDialogImp::ConfigDialogImp( QWidget* parent, Qt::WFlags fl ) :
		QDialog( parent, fl ), 
		Ui::ConfigDialog()
{
	setupUi( this );

	for ( int k = 0; k < mdCombo->count(); ++k )
	{
		mdCombo->setCurrentIndex( k );
		if ( mdCombo->currentText() == modemDevice )
		{
			break;
		}
	}	
	
	mi1Edit->setText( modemInit1 );
	mi2Edit->setText( modemInit2 );
	mdEdit->setText( modemDial );
	mhEdit->setText( modemHangup );
	iddEdit->setText( iddCode );
	ldEdit->setText( ldCode );
	lcEdit->setText( localeCode );
	mrEdit->setText( QString("%1").arg( maxRetry ) );
	irEdit->setText( QString("%1").arg( intvlRetry ) );
	
	buttonOk->setFocus();
	buttonOk->setIcon(KIcon("dialog-ok-apply"));
	buttonCancel->setIcon(KIcon("dialog-cancel"));
	buttonLog->setIcon(KIcon("view-list-text"));
	buttonHelp->setIcon(KIcon("help-contents"));
}

ConfigDialogImp::~ConfigDialogImp()
{
}

void ConfigDialogImp::slotOKButton()
{
	modemDevice = mdCombo->currentText();
	modemInit1 = mi1Edit->text();
	modemInit2 = mi2Edit->text();
	modemDial = mdEdit->text();
	modemHangup = mhEdit->text();
	iddCode = iddEdit->text();
	ldCode = ldEdit->text();
	localeCode = lcEdit->text();
	maxRetry = mrEdit->text().toInt();	      // set to 0 if data bad
	intvlRetry = irEdit->text().toInt();      // set to 0 if data bad
	accept();
}

void ConfigDialogImp::slotLogButton()
{
	LogViewDialogImp *logview = new LogViewDialogImp( this );
	const int w = genGroup->readEntry( "LogSizeW", "0" ).toInt();
	const int h = genGroup->readEntry( "LogSizeH", "0" ).toInt();
  if( w > 0 )
  {
    logview->resize( QSize( w, h ) );
  }

	logview->exec();	

	genGroup->writeEntry( "LogSizeW", logview->size().width() );
	genGroup->writeEntry( "LogSizeH", logview->size().height() );
	genGroup->config()->sync();
	delete logview; 
}

void ConfigDialogImp::slotHelpButton()
{
  KToolInvocation::invokeHelp( "config-help" );
}
