/***************************************************************************
                          kallglobals.cpp  -  description
                             -------------------
    begin                : Fri Feb 15 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kallglobals.h"
//Added by qt3to4:
#include <QPixmap>
#include <Q3TextStream>


KallGlobals::KallGlobals()
{
  config = KGlobal::config();
	genGroup   = new KConfigGroup( config, "General" );
	teleGroup  = new KConfigGroup( config, "Telephone" );
	modemGroup = new KConfigGroup( config, "Modem" );

	adbk = StdAddressBook::self();
  logfn = KStandardDirs::locateLocal( "appdata", "kalllog" );
}

KallGlobals::~KallGlobals()
{
}

void KallGlobals::localise( QString &num )
{
 	if ( num[0] == '+' )										// international format
 	{
 		int l = localeCode.length();
 		if ( localeCode == num.mid( 1, l ) )	// we are at home!
 			num = ldCode + num.mid( l+1 ).trimmed();
 		else
 			num = iddCode + num.mid( 1 ).trimmed();
 	}
}


// generate external references for the loader

KallApp *     KallGlobals::kall;
AddressBook * KallGlobals::adbk;

QString KallGlobals::modemInit1;
QString KallGlobals::modemInit2;
QString KallGlobals::modemDial;
QString KallGlobals::modemHangup;
QString KallGlobals::modemDevice;
QString KallGlobals::modemDeviceDflt;
QString KallGlobals::iddCode;
QString KallGlobals::ldCode;
QString KallGlobals::localeCode;
QString KallGlobals::iddCodeDflt;
QString KallGlobals::ldCodeDflt;
QString KallGlobals::localeCodeDflt;
QString KallGlobals::logfn;
int KallGlobals::maxRetry;
int KallGlobals::intvlRetry;

const KallGlobals::t_phonetypes KallGlobals::phonetypes[] =
     {
       { PhoneNumber::Home,  "Home" },
       { PhoneNumber::Work,  "Work" },
       { PhoneNumber::Msg ,  "Message" },
       { PhoneNumber::Pref,  "Preferred" },
       { PhoneNumber::Voice, "Voice" },
       { PhoneNumber::Fax,   "Fax" },
       { PhoneNumber::Cell,  "Mobile" },
       { PhoneNumber::Video, "Video" },
       { PhoneNumber::Bbs,   "Mailbox" },
       { PhoneNumber::Car,   "Car" },
       { PhoneNumber::Isdn,  "ISDN" },
       { PhoneNumber::Pcs,   "Service" },
       { PhoneNumber::Pager, "Pager" }
     };		
