/***************************************************************************
                          logview.cpp  -  description
                             -------------------
    begin                : Thu Jan 10 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "logviewdialogimp.h"
//Added by qt3to4:
#include <Q3TextStream>
#include <QPixmap>

LogViewDialogImp::LogViewDialogImp( QWidget *parent ) :
  QDialog(  parent ),
	Ui::LogViewDialog()
{
	setupUi( this );
	buttonCancel->setIcon(KIcon("dialog-close"));

  QFile f( logfn );
  if ( !f.open( QIODevice::ReadOnly ) )
  {
  	KMessageBox::sorry( this, i18n("Log file does not exist!"), i18n("Warning") );
  }
  else
  {
    Q3TextStream logfile( &f );
    rows->setSorting ( 0, false );												// newest calls at top

    while ( !logfile.eof() )
    {
    	int pos = 0, npos, k;
    	QString items , item[6];
      items = logfile.readLine();
    	for ( k = 0; k < 6; ++k )
    	{
    		npos = items.find( '\t', pos );
    		item[k] = items.mid( pos, npos-pos );
    		pos = npos + 1;
    	}
  		Q3ListViewItem *row = new Q3ListViewItem( rows, item[0], item[1], item[2], item[3], item[4], item[5] );
  		row = 0;																						// avoid compiler warning
    }
    f.close();
  }
  	
  buttonCancel->setFocus();
}

LogViewDialogImp::~LogViewDialogImp()
{
}



