/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Fri Dec 14 19:36:45 ICT 2001
    copyright            : (C) 2001 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#define KDE_NO_COMPAT

#include <iostream>

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include "kall.h"

using namespace std;

static const char *description =
	I18N_NOOP("Kall - a telephone dialler. \n"
						"Dial the telephone numbers in your KDE address book.");

static const char version[] = "0.8";
	
int main(int argc, char *argv[])
{
  KAboutData about("kall", 0, ki18n("Kall"), version, ki18n(description),
                   KAboutData::License_GPL, ki18n("(C) 2009, Robin Atwood"), 
									 KLocalizedString(), 0, "robin@binro.org");
  about.addAuthor( ki18n("Robin Atwood"), KLocalizedString(), "robin@binro.org" );

  KCmdLineArgs::init(argc, argv, &about);
  KCmdLineOptions options;
  options.add("dial ", ki18n("number to dial"));
  options.add("person ", ki18n("name of person"));
  options.add("org ", ki18n("organisation"));
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if ( app.isSessionRestored() )
  {
    RESTORE(KallApp);
  }
  else 
  {
    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
    KallApp *kall;

		if ( argc > 1 )
		{
      kall = new KallApp( 0, args );
   		args->clear();
   		return kall->showDialDialog();
		}
		else
		{
			cerr << "Usage: kall --dial <number>\n";
		  return 3;
		}
  }
}
