/***************************************************************************
                          statusdialogimp.h  -  description
                             -------------------
    begin                : Mon Mar 4 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef STATUSDIALOGIMP_H
#define STATUSDIALOGIMP_H

#include <iostream>

#include <qfile.h>
#include <q3textstream.h>
#include <qtimer.h>

#include <kstandarddirs.h>

#include <ui_statusdialog.h>
#include <kallglobals.h>

/**Provides methods for the Status Dialog.
  *@author Robin Atwood
  */

class StatusDialogImp : public QDialog, public Ui::StatusDialog, virtual public KallGlobals
{
  Q_OBJECT

  public:
  	StatusDialogImp( QWidget* parent = 0, Qt::WFlags fl = 0 );
  	virtual ~StatusDialogImp();

		void showStats( QString &, QString &, QString & );

  protected:
    QTimer			*statusTimer;
 		QTime       tstamp;

  protected slots:
    void slotStatusTimeout();
};

#endif
